$(document).on("mousedown mouseup", ".knapp", function() {
	$(this).toggleClass("inntrykket");
});

$(document).on("click", ".svar", function() {
	denne = $(this);
	if ( denne.attr("navn") == "maren" ) {
		$("#svar-tittel").addClass("maren");
		$(".send").attr("navn", "maren");
	} else if ( denne.attr("navn") == "asbjorn" ) {
		$("#svar-tittel").addClass("asbjorn");
		$(".send").attr("navn", "asbjorn");
	}
	
	$("#tekst-input-bg").fadeIn("slow");
	$("#tekst-input").animate({top: 0}, "slow", function(){
		$("#svartekst").focus();
		document.body.scrollTop = 0;
		$('html, body').animate({scrollTop:0}, 1);
	});

});

$(document).on("click", ".like", function() {
	denne = $(this);
		if ( denne.attr("navn") == "maren" ) {
			denne.fadeOut("slow", function(){
				$("#like-maren").show().animate({opacity: 1},"slow");
			});
		} else if ( denne.attr("navn") == "asbjorn" ) {
			denne.fadeOut("slow", function(){
				$("#like-asbjorn").show().animate({opacity: 1},"slow");
			});
		}
});

$(document).on("click", ".send", function() {
	tekst = document.getElementById("svartekst").value;
	if ( tekst != "" ) {
		if ( $(this).attr("navn") == "maren" ) {
			$("#svar-maren").show().append(tekst);
		} else if ( $(this).attr("navn") == "asbjorn" ) {
			$("#svar-asbjorn").show().append(tekst);
		}
	}
	skjulTekstVindu();
	
});

$(document).on("click", ".avbryt", function() {
	skjulTekstVindu();
});

function skjulTekstVindu() {
	setTimeout(function(){
		document.getElementById("svartekst").value = "";
		$("#tekst-input, #talehilsen").animate({top: window.innerHeight}, "slow", function(){
			$("#svartekst").blur();
		});
		$("#tekst-input-bg").fadeOut("slow");
		$("#mic").animate({height: 0}, "slow");
	}, 300);
}




$(document).on("click", ".lyd", function() {
	denne = $(this);
		lydKnappTrykket = true;
		$(".ferdig").show();
		$(".ny, .spill, .send-lyd").hide();
		$("#tekst-input-bg").fadeIn("slow");
		$("#talehilsen").show().animate({top: 0}, "slow");
		$("#mic").animate({height: 200}, "slow");
		$("#snakk-naa").fadeIn("slow");
});

$(document).on("click", ".ferdig", function() {
	$(".ferdig, #snakk-naa").fadeOut("slow", function() {
		$(".ny, .spill, .send-lyd").fadeIn("slow");
	});
	$("#mic").animate({height: 0}, "slow");
});

$(document).on("click", ".ny", function() {
	$(".ny, .spill, .send-lyd").fadeOut("slow", function(){
		$(".ferdig").fadeIn("slow");
	});
	$("#mic").animate({height: 200}, "slow");
	$("#snakk-naa").fadeIn("slow");
});

$(document).on("click", ".send-lyd", function() {
	skjulTekstVindu();
});