var infoHoyde,
	kategoriHoyde,
	kommentarHoyde;

$(document).on("touchend", "#tannhjul", function() {
	$("#main, #innstillinger").toggleClass("hamburger");
});

$(document).on("touchstart", ".toggleknapp", function() {
	if ( !$(this).hasClass("aktiv") ) {
		$(".toggleknapp").toggleClass("aktiv");
	}
});

$(document).on("touchend", "#tidsrom", function() {
	$("ul.undermeny").toggleClass("synlig");
	
});

$(document).on("touchstart touchend", ".knapp:not(.toggleknapp)", function() {
	$(this).toggleClass("inntrykket");
	$(this).toggleClass("inner-shadow-bot");
});

$(document).on("touchend", "#ta-ansvar", function() {
	$("#svart-bakgrunn").fadeIn("fast");
	$("#ansvar-bekreftelse").show().animate({"top": 150}, "slow", "easeOutExpo");
});

$(document).on("touchend", "#ansvar-ja", function() {
	ansvar();
});

$(document).on("touchend", "#avslutt-behandling", function() {
	$("#svart-bakgrunn").fadeIn("fast");
	$("#avslutt-bekreftelse").show().animate({"top": 150}, "slow", "easeOutExpo");
});

$(document).on("touchend", ".bekreftelsesknapp", function() {
	$("#svart-bakgrunn").fadeOut("fast");
	$(".popup").animate({"top": window.innerHeight}, "fast", function(){
		$(this).hide();
	});
});

$(document).on("touchend", "#send-rapport", function() {
	if ( $("#kommentarfelt").val().length == 0 ) {
		$("#kommentaroverskrift").effect("shake");
	} else {
		$("#tilgjengelighet, #header").animate({"opacity": 1}, "slow");
		$("#kommentarfelt").blur();
		$("#kommentar").animate({"height": 0}, "slow", "easeOutQuart", function(){
			$("#avslutt-behandling, .skillelinje").hide();
			$(".alarm").addClass("avsluttet-alarm");
			$("#alarmen-er-ferdig-behandlet").show().animate({"opacity": 1}, "slow");
			setTimeout(function(){
				$(".alarm").animate({"margin-top": 50, "opacity": 0}, "slow", function(){
					$("#ingen-aktive-alarmer").fadeIn("slow");
				});
			},5000);
		});
	}
});

$(document).on("touchend", ".kategoriknapp", function() {
	$("#kategorier").animate({"height": 0, "opacity": 0}, "slow", "easeOutQuart", function(){
		$("#kommentar").show().animate({"height": kommentarHoyde}, "slow", "easeOutCubic", function(){
			$("#kommentarfelt").focus();
		});
	});
});

$(document).on("touchend", "#avslutt-ja", function() {
	$("#avslutt-behandling").hide();
	$(".infowrapper").hide();
	setTimeout(function(){
		$("#kategorier").show().animate({"height": kategoriHoyde}, "slow", "easeOutCubic");
	}, 500);
});



$(document).ready(function(){
	infoHoyde = $(".infowrapper").height();
	$(".infowrapper").height(0).hide();
	kategoriHoyde = $("#kategorier").height();
	$("#kategorier").height(0).hide();
	kommentarHoyde = $("#kommentar").height();
	$("#kommentar").height(0).hide();
	$("#ingen-aktive-alarmer").hide();
	$("#tilgjengelighet, #header").css({"opacity": 0.5});
});




function ansvar() {
	setTimeout(function(){
		$(".infowrapper").show().animate({"height": infoHoyde}, "fast", "easeOutCubic", function(){
			$(".infowrapper").animate({"opacity": 1}, "fast", function(){
				$("#ta-ansvar").fadeOut("slow", function(){
					$("#avslutt-behandling").show().animate({"opacity": 1}, "slow");
				});
			});
		});
	},500);
}